LibreOffice: XActiveDataControl Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XActiveDataControl Interface Referencepublished

makes it possible to control an active data source. More...

Inheritance diagram for XActiveDataControl:

## Public Member Functions
void | addListener ([in] com::sun::star::io::XStreamListener aListener)
| registers an object to receive events from this data source.
void | removeListener ([in] com::sun::star::io::XStreamListener aListener)
| unregisters an object to receive events from this data source.
void | start ()
| starts I/O.
void | terminate ()
| does a weak abort.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to control an active data source.

This interface should be supported by objects which implement XActiveDataSource or XActiveDataSink.

## Member Function Documentation

## ◆ addListener()

void addListener | ( | [in] com::sun::star::io::XStreamListener | aListener | ) |

registers an object to receive events from this data source.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

## ◆ removeListener()

void removeListener | ( | [in] com::sun::star::io::XStreamListener | aListener | ) |

unregisters an object to receive events from this data source.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

## ◆ start()

void start | ( |  | ) |

starts I/O.

Either XActiveDataControl::setInputStream() or XActiveDataControl::setOutputStream() must be called beforehand.

This method does not block the thread, so reading is generally not finished when the method returns.

## ◆ terminate()

void terminate | ( |  | ) |

does a weak abort.

It closes all connected resources and calls XInputStream::close() or XOutputStream::close() and fires the XStreamListener::terminated()-event.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XActiveDataControl.idl